#!/bin/bash

# Skript zum Bauen von Canzeley

## Kopieren der benötigten Verzeichnisse und Dateien aus Canzeley-Client

cp -a ../Canzeley-Client/Changelog.Source . &&
cp -a ../Canzeley-Client/msandh.sh . &&
cp -a ../Canzeley-Client/Vorlagen . &&
cp -a ../Canzeley-Client/Dokumente . &&
cp -a ../Canzeley-Client/copy-canzeley.sh . &&

## Erstellen des Verzeichnisses Extension

mkdir -v Extension

## Packen des oxt

### Abfrage Version

echo "Welche Version soll erstellt werden?"
read version

### Packen
path=`pwd`
cd ../Canzeley-Client/Extension
zip -rv ${path}/Extension/canzeley_${version}.oxt .
cd ${path}

cp -a Extension/canzeley_${version}.oxt ../
cd ..

# Signieren 
gpg --armor --detach-sign --local-user 0x2168CF47 canzeley_${version}.oxt

# Hash erzeugen
md5sum -b canzeley_${version}.oxt > canzeley_${version}.oxt.md5

# Hash pruefen
echo "Checking hash"
md5sum -c canzeley_${version}.oxt.md5

# Signatur pruefen
echo "Checking gpg signature"
gpg --verify canzeley_${version}.oxt.asc

# msandh.sh ausfuehren
cd ${path}
exec ./msandh.sh canzeley_${version}.zip


