#!/bin/bash

if [ -z $1 ]
then
	echo "Usage: msandh filename"
elif [ $1 == "-h" ]
then
	echo "Usage: msandh filename"
else

# Skript zum  Bauen, Signieren und Hashen des Canzeley-Client-Archives

# Zippen
zip -rv ../${1} . -x .git\* -x msandh.sh -x bau-canzeley.sh -x copy-canzeley.sh

cd ..

# Signieren 
gpg --armor --detach-sign --local-user 0x2168CF47 ${1}

# Hash erzeugen
md5sum -b ${1} > ${1}.md5

# Hash pruefen
echo "Checking hash"
md5sum -c ${1}.md5

# Signatur pruefen
echo "Checking gpg signature"
gpg --verify ${1}.asc

fi
